## tsmuxer-dmo 2.6.16~20210801.git2aa293b

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.1)
project (tsmuxer_main CXX)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
set(CMAKE_CXX_EXTENSIONS FALSE)

execute_process(
  COMMAND git rev-parse --short HEAD
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  RESULT_VARIABLE GIT_REV_SHORT_RV
  OUTPUT_VARIABLE GIT_REV_SHORT
  OUTPUT_STRIP_TRAILING_WHITESPACE
)
set(TSMUXER_RELEASE FALSE)
set(VERSION_NUMBER "2.6.16")
if(${TSMUXER_RELEASE})
  set(TSMUXER_VERSION ${VERSION_NUMBER})
elseif(${GIT_REV_SHORT_RV} EQUAL 0)
  set(TSMUXER_VERSION "git-${GIT_REV_SHORT}")
else()
  set(TSMUXER_VERSION "${VERSION_NUMBER}-dev")
endif()
add_definitions("-DTSMUXER_VERSION=\"${TSMUXER_VERSION}\"")

if(NOT MSVC)
  include(GNUInstallDirs)
  mark_as_advanced(CLEAR
    CMAKE_INSTALL_BINDIR
	CMAKE_INSTALL_DATADIR
  )
else(NOT MSVC)
  set(CMAKE_INSTALL_BINDIR bin)
endif(NOT MSVC)

add_subdirectory (libmediation)
add_subdirectory (tsMuxer)
if(TSMUXER_GUI)
	add_subdirectory (tsMuxerGUI)
endif()

=== libmediation/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.1)
project(mediation)

add_library(mediation STATIC
  fs/directory.cpp
  types/types.cpp
  system/terminatablethread.cpp
)

IF(WIN32)
    target_compile_definitions(mediation PRIVATE "-DUNICODE")
    target_sources(mediation PRIVATE fs/osdep/file_win32.cpp)
ELSE()
    target_sources(mediation PRIVATE fs/osdep/file_unix.cpp)
ENDIF()

set(CMAKE_INCLUDE_CURRENT_DIR ON)

=== tsMuxer/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.1)
project (tsmuxer LANGUAGES CXX)

add_executable (tsmuxer
  aac.cpp
  aacStreamReader.cpp
  AbstractDemuxer.cpp
  abstractMuxer.cpp
  ac3Codec.cpp
  ac3StreamReader.cpp
  avCodecs.cpp
  bitStream.cpp
  blurayHelper.cpp
  bufferedFileReader.cpp
  bufferedFileWriter.cpp
  bufferedReader.cpp
  bufferedReaderManager.cpp
  combinedH264Demuxer.cpp
  convertUTF.cpp
  dtsStreamReader.cpp
  dvbSubStreamReader.cpp
  h264StreamReader.cpp
  hevc.cpp
  hevcStreamReader.cpp
  ioContextDemuxer.cpp
  iso_writer.cpp
  lpcmStreamReader.cpp
  main.cpp
  matroskaDemuxer.cpp
  matroskaParser.cpp
  metaDemuxer.cpp
  movDemuxer.cpp
  mp3Codec.cpp
  mpeg2StreamReader.cpp
  mpegAudioStreamReader.cpp
  mpegStreamReader.cpp
  mpegVideo.cpp
  muxerManager.cpp
  nalUnits.cpp
  pesPacket.cpp
  programStreamDemuxer.cpp
  psgStreamReader.cpp
  simplePacketizerReader.cpp
  singleFileMuxer.cpp
  srtStreamReader.cpp
  textSubtitles.cpp
  textSubtitlesRender.cpp
  tsDemuxer.cpp
  tsMuxer.cpp
  tsPacket.cpp
  utf8Converter.cpp
  vc1Parser.cpp
  vc1StreamReader.cpp
  vod_common.cpp
  wave.cpp
)

if(TSMUXER_STATIC_BUILD)
  if(MSVC)
    if(CMAKE_BUILD_TYPE STREQUAL "Debug")
      target_compile_options(tsmuxer "/MTd")
    else()
      target_compile_options(tsmuxer "/MT")
    endif()
  else()
    set (CMAKE_EXE_LINKER_FLAGS "-static-libgcc -static-libstdc++ -static")
  endif()
  set(CMAKE_THREAD_PREFER_PTHREAD TRUE)
endif()

function(pkg_check_modules_with_static prefix req_or_opt package)
  pkg_check_modules (${prefix} ${req_or_opt} ${package})
  if (TSMUXER_STATIC_BUILD)
    set(static_libs "${${prefix}_STATIC_LIBRARIES}")
    set(${prefix}_LIBRARIES "${static_libs}" CACHE INTERNAL "")
  endif()
endfunction()

find_package (Threads REQUIRED)
find_package (PkgConfig)

if (PkgConfig_FOUND)
  pkg_check_modules_with_static (ZLIB REQUIRED zlib)
  if (NOT WIN32)
    pkg_check_modules_with_static (FREETYPE2 REQUIRED freetype2)
  endif()
else()
  find_package(ZLIB REQUIRED)
endif()

target_include_directories(tsmuxer PRIVATE
  "${PROJECT_SOURCE_DIR}/../libmediation"
  ${ZLIB_INCLUDE_DIRS}
)

# this part looks messy as it is working around a bug in pthread when static linking
SET(THREADSLIB Threads::Threads)
if(TSMUXER_STATIC_BUILD)
  if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    message("-- Static Linux build, will link whole pthread!")
    SET(THREADSLIB -pthread -Wl,--whole-archive -lpthread -Wl,--no-whole-archive)
  endif()
endif()
target_link_libraries(tsmuxer mediation ${THREADSLIB} ${ZLIB_LIBRARIES})

if (WIN32)
  target_sources(tsmuxer PRIVATE osdep/textSubtitlesRenderWin32.cpp)
  target_link_libraries(tsmuxer gdiplus)
  target_compile_definitions(tsmuxer PRIVATE "-DUNICODE")
else()
  target_sources(tsmuxer PRIVATE osdep/textSubtitlesRenderFT.cpp)
  target_link_libraries(tsmuxer ${FREETYPE2_LIBRARIES} ${FREETYPE2_LDFLAGS})
  target_include_directories(tsmuxer PRIVATE ${FREETYPE2_INCLUDE_DIRS})
endif()

install (TARGETS tsmuxer DESTINATION ${CMAKE_INSTALL_BINDIR})

=== tsMuxerGUI/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.1)
project(tsMuxerGUI CXX)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(CMAKE_VERSION VERSION_LESS "3.7.0")
  set(CMAKE_INCLUDE_CURRENT_DIR ON)
endif()

find_package(Qt5 COMPONENTS Widgets Multimedia LinguistTools REQUIRED)

set(lang_qrc "translations.qrc")
configure_file(${lang_qrc} ${lang_qrc} COPYONLY)
# create_translation is not used due to QTBUG-41736
qt5_add_translation(QM_FILES translations/tsmuxergui_en.ts translations/tsmuxergui_ru.ts translations/tsmuxergui_fr.ts translations/tsmuxergui_zh.ts)

set(tsmuxer_gui_sources
  main.cpp
  tsmuxerwindow.cpp
  muxForm.cpp
  tsmuxerwindow.ui
  muxForm.ui
  checkboxedheaderview.cpp
  images.qrc
  ${QM_FILES}
  ${CMAKE_CURRENT_BINARY_DIR}/${lang_qrc}
)

add_compile_options("$<$<C_COMPILER_ID:MSVC>:/utf-8>")
add_compile_options("$<$<CXX_COMPILER_ID:MSVC>:/utf-8>")

set(GUI_OPTIONS "")
if(WIN32)
  set(GUI_OPTIONS WIN32)
elseif(APPLE)
  set(GUI_OPTIONS MACOSX_BUNDLE)
endif()

add_executable(tsMuxerGUI ${GUI_OPTIONS} ${tsmuxer_gui_sources})
target_link_libraries(tsMuxerGUI Qt5::Widgets Qt5::Multimedia)

if(NOT MSVC)
  install(TARGETS tsMuxerGUI DESTINATION ${CMAKE_INSTALL_BINDIR})
  install(FILES tsMuxerGUI.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
  install(FILES images/icon.png
          DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/128x128/apps/
		  RENAME tsMuxerGUI.png)
endif(NOT MSVC)

if (WIN32)
  target_sources(tsMuxerGUI PRIVATE icon.rc)
elseif (APPLE)
  set(MACOSX_BUNDLE_ICON_FILE tsMuxerGUI.icns)
  set_source_files_properties(tsMuxerGUI.icns PROPERTIES
         MACOSX_PACKAGE_LOCATION "Resources")
  set_target_properties(tsMuxerGUI PROPERTIES MACOSX_BUNDLE TRUE)
  target_sources(tsMuxerGUI PRIVATE tsMuxerGUI.icns)
endif()

=== debian/changelog ===
tsmuxer-dmo (2.6.16~20210801.git2aa293b-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 01 Aug 2021 14:16:01 +0200

tsmuxer-dmo (2.6.16~20210608.gitf6ab2a2-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 08 Jun 2021 14:59:29 +0200

tsmuxer-dmo (2.6.16~20210114.git00caad0-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 14 Jan 2021 15:02:44 +0100

tsmuxer-dmo (2.6.15+20201004.git32db2aa-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 04 Oct 2020 16:39:55 +0200

tsmuxer-dmo (2.6.15+20200315.git11fcb24-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Mar 2020 15:47:46 +0100

tsmuxer-dmo (2.6.15+20191006.git0345711-dmo4) unstable; urgency=medium

  * Build against qtbase-abi-5-12-5 and/or qtdeclarative-abi-5-12-5

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Oct 2019 14:42:52 +0200

tsmuxer-dmo (2.6.15+20191006.git0345711-dmo3) unstable; urgency=medium

  * Should be uploaded to unstable not stable.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 06 Oct 2019 17:28:40 +0200

tsmuxer-dmo (2.6.15+20191006.git0345711-dmo1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 06 Oct 2019 15:49:05 +0200

tsmuxer (2.6.11-dmo5) stable; urgency=medium

  * Add libqtgui4 to tsmuxergui Depends field

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 06 Oct 2019 15:31:21 +0200

tsmuxer (2.6.11-dmo4) stable; urgency=medium

  * Add multi-arch support.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 11 Aug 2017 08:36:01 +0200

tsmuxer (2.6.11-dmo3) stable; urgency=medium

  * Added a desktop file for tsMuxerGUI (Thanks to Josep Pujadas-Jubany).

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 11 Mar 2015 08:19:03 +0100

tsmuxer (2.6.11-dmo2) stable; urgency=medium

  * Upload to stable.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 05 Apr 2014 11:06:51 +0200

tsmuxer (2.6.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 28 Mar 2014 08:49:34 +0100

tsmuxer (1.10.6-dmo1) unstable; urgency=low

  * Update debian version number to dmo1.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 23 Jun 2012 08:46:11 +0200

tsmuxer (1.10.6-0.0) unstable; urgency=low

  * Initial release.

 -- Christian Marillat <marillat@debian.org>  Mon, 03 May 2010 10:57:46 +0200

=== debian/control ===
Source: tsmuxer-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/justdan96/tsMuxer.git
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, pkg-config, qtbase5-dev,
 libfreetype-dev, qtmultimedia5-dev, qttools5-dev, ninja-build

Package: tsmuxer
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility to create TS and M2TS files.
 Utility to create TS and M2TS files for IP broadcasting as well as for
 viewing at hardware video players (i.e., Dune HD Ultra, Sony Playstation3
 and others).
 .
 Supported incoming formats:
    * TS;
    * M2TS;
    * Blu-ray;
    * Demux option.
 .
 Supported videocodecs:
    * H.264
    * Microsoft VC-1;
    * MPEG-2.
 .
 Supported audiocodecs:
    * AAC;
    * AC3 / E-AC3(DD+);
    * Dolby True HD (for streams with AC3 core only);
    * DTS/ DTS-HD;
    * LPCM.
 .
 Supported subtitle types:
    * M2TS Presentation graphic stream.
    * SRT text subtitles
 .
 Supported containers and formats:
    * Elementary stream;
    * Transport stream TS and M2TS;
    * Program stream EVO/VOB/MPG;
    * Matroska MKV/MKA;
    * MP4/MOV
 .
 Main features:
    * Automatic or manual fps adjustment while mixing;
    * Level changing as well as SEI, SPS/PPS elements and NAL unit delimiter
      cycle insertion while mixing H.264;
    * Audio tracks and subtitles time shifting;
    * Ability to extract DTS core from DTS-HD;
    * Ability to extract AC3 core from True-HD;
    * Ability to join files;
    * Ability to adjust fps for subtitles;
    * Ability to convert LPCM streams into WAVE and vice versa;
    * Track language information injection into blu-ray structure and TS
      header;
    * Ability to cut source files;
    * Ability to split output file;
    * Ability to detect audio delay for TS/M2TS/MPG/VOB/EVO sources;
    * Ability to remove pulldown info from stream;
    * Ability to open Blu-ray playlist (MPLS) files;
    * Ability to convert SRT subtitles to PGS;
    * Tags for SRT subtitles support - tags for changing font, color, size,
      etc.; tag's syntax is similar to HTML;
    * United cross-platform GUI - Windows, Linux, MacOS.

Package: tsmuxergui
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, tsmuxer
Description: Utility to create TS and M2TS files.
 Utility to create TS and M2TS files for IP broadcasting as well as for
 viewing at hardware video players (i.e., Dune HD Ultra, Sony Playstation3
 and others).
 .
 Supported incoming formats:
    * TS;
    * M2TS;
    * Blu-ray;
    * Demux option.
 .
 Supported videocodecs:
    * H.264
    * Microsoft VC-1;
    * MPEG-2.
 .
 Supported audiocodecs:
    * AAC;
    * AC3 / E-AC3(DD+);
    * Dolby True HD (for streams with AC3 core only);
    * DTS/ DTS-HD;
    * LPCM.
 .
 Supported subtitle types:
    * M2TS Presentation graphic stream.
    * SRT text subtitles
 .
 Supported containers and formats:
    * Elementary stream;
    * Transport stream TS and M2TS;
    * Program stream EVO/VOB/MPG;
    * Matroska MKV/MKA;
    * MP4/MOV
 .
 Main features:
    * Automatic or manual fps adjustment while mixing;
    * Level changing as well as SEI, SPS/PPS elements and NAL unit delimiter
      cycle insertion while mixing H.264;
    * Audio tracks and subtitles time shifting;
    * Ability to extract DTS core from DTS-HD;
    * Ability to extract AC3 core from True-HD;
    * Ability to join files;
    * Ability to adjust fps for subtitles;
    * Ability to convert LPCM streams into WAVE and vice versa;
      Track language information injection into blu-ray structure and TS
    * header;
    * Ability to cut source files;
    * Ability to split output file;
    * Ability to detect audio delay for TS/M2TS/MPG/VOB/EVO sources;
    * Ability to remove pulldown info from stream;
    * Ability to open Blu-ray playlist (MPLS) files;
    * Ability to convert SRT subtitles to PGS;
    * Tags for SRT subtitles support - tags for changing font, color, size,
      etc.; tag's syntax is similar to HTML;
    * United cross-platform GUI - Windows, Linux, MacOS.
 .
 This package contains a graphic use interface for tsmuxer.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DTSMUXER_GUI=ON

override_dh_auto_test:

=== debian/watch ===
version=4

#https://github.com/justdan96/tsMuxer/releases \
#(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## tsmuxer-dmo 2.6.16~20230423.git8afed9a

=== debian/changelog ===
tsmuxer-dmo (2.6.16~20230423.git8afed9a-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 23 Apr 2023 14:31:22 +0200

tsmuxer-dmo (2.6.16~20230407.gitc309702-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Apr 2023 15:27:15 +0200

tsmuxer-dmo (2.6.16~20230321.gitc0b85a1-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Mar 2023 14:46:23 +0100

tsmuxer-dmo (2.6.16~20230305.git7446712-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 05 Mar 2023 08:51:06 +0100

tsmuxer-dmo (2.6.16~20230121.git57df401-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 21 Jan 2023 09:04:43 +0100

tsmuxer-dmo (2.6.16~20221231.gitf3f95c5-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 31 Dec 2022 10:05:15 +0100

tsmuxer-dmo (2.6.16~20220916.gite6c29af-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 16 Sep 2022 15:54:20 +0200

tsmuxer-dmo (2.6.16~20220529.git146594c-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 29 May 2022 09:29:30 +0200

tsmuxer-dmo (2.6.16~20220403.git76ce1e6-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Apr 2022 14:52:19 +0200

tsmuxer-dmo (2.6.16~20220213.gitacde33a-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 13 Feb 2022 11:44:06 +0100

tsmuxer-dmo (2.6.16~20210923.git149fd8b-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Oct 2021 14:17:56 +0200

=== debian/watch ===
version=4

#https://github.com/justdan96/tsMuxer/tags \
#(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## tsmuxer-dmo 2.7.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.1)
project (tsmuxer_main CXX)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
set(CMAKE_CXX_EXTENSIONS FALSE)

execute_process(
  COMMAND git rev-parse --short HEAD
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  RESULT_VARIABLE GIT_REV_SHORT_RV
  OUTPUT_VARIABLE GIT_REV_SHORT
  OUTPUT_STRIP_TRAILING_WHITESPACE
)
set(TSMUXER_RELEASE TRUE)
set(VERSION_NUMBER "2.7.0")
if(${TSMUXER_RELEASE})
  set(TSMUXER_VERSION ${VERSION_NUMBER})
elseif(${GIT_REV_SHORT_RV} EQUAL 0)
  set(TSMUXER_VERSION "git-${GIT_REV_SHORT}")
else()
  set(TSMUXER_VERSION "${VERSION_NUMBER}-dev")
endif()
add_definitions("-DTSMUXER_VERSION=\"${TSMUXER_VERSION}\"")

if(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
  include(GNUInstallDirs)
  mark_as_advanced(CLEAR
    CMAKE_INSTALL_BINDIR
    CMAKE_INSTALL_DATADIR
  )
else()
  set(CMAKE_INSTALL_BINDIR bin)
endif()

if(MSVC)
  add_compile_options("/utf-8")
  add_definitions(-D_CRT_SECURE_NO_WARNINGS)
endif()

if(WIN32)
  add_definitions(-DUNICODE -D_UNICODE)
endif()

if(TSMUXER_STATIC_BUILD AND UNIX)
  list(INSERT CMAKE_FIND_LIBRARY_SUFFIXES 0 .a)
  list(REMOVE_DUPLICATES CMAKE_FIND_LIBRARY_SUFFIXES)
endif()

set(TSMUXER_COVERAGE FALSE CACHE BOOL "Enable collecting coverage information")
if(${TSMUXER_COVERAGE})
  if(${CMAKE_CXX_COMPILER_ID} STREQUAL "GNU")
    add_compile_options("--coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} --coverage")
  elseif(${CMAKE_CXX_COMPILER_ID} MATCHES "Clang")
    add_compile_options("-fprofile-instr-generate" "-fcoverage-mapping")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fprofile-instr-generate")
  else()
    message(FATAL_ERROR "Coverage not supported for compiler ${CMAKE_CXX_COMPILER_ID}")
  endif()
endif()

add_subdirectory(libmediation)
add_subdirectory(tsMuxer)
if(TSMUXER_GUI)
  add_subdirectory(tsMuxerGUI)
endif()

=== debian/changelog ===
tsmuxer-dmo (2.7.0-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Apr 2025 14:38:11 +0200

tsmuxer-dmo (2.6.16~20240318.git5f43ab2-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 02 Apr 2024 17:43:27 +0200

tsmuxer-dmo (2.6.16~20230121.git57df401-dmo0~bpo11+1) stable-backports; urgency=medium

  * Build for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 21 Jan 2023 11:26:13 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/justdan96/tsMuxer.git
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), cmake, pkg-config, qtbase5-dev,
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), cmake, pkgconf, qtbase5-dev,
  libfreetype-dev, qtmultimedia5-dev, qttools5-dev, ninja-build
 
 Package: tsmuxer

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 	-DTSMUXER_GUI=ON
 
 override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/justdan96/tsMuxer/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
